/*
 A deck of cards.
 */

public class Deck {
		Card cards[];
		int cardsRemaining = 0;
	
		public Deck () {
			// Generate the deck
			
			cards = new Card[52];
			
			int cardCount = 0;
			for (int s = 1; s  <  5; s++) {
				for (int r = 2; r < 15; r++) {

					cards[cardCount] = new Card (s, r);
					cardCount++;
					
				}
			}
			cardsRemaining = 52;
		}
		
		public void shuffle () {
			for (int c = 0; c < 52; c++) {
				int whereToPut = (int)(Math.random () * 52);
				Card ca = cards[c];
				cards[c] = cards[whereToPut];
				cards[whereToPut] = ca;
			}
		}
		
		public Card draw () {
			if (cardsRemaining == 0) 
				shuffle ();
			
			cardsRemaining--;
			return cards[cardsRemaining];
		}
		
}